Bug 645279 - keyboard lost after loadvm then reboot guest
keyboard lost after loadvm then reboot guest
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier3
  Show dependency treegraph
 
Reported: 2010-10-21 04:14 EDT by Shirley Zhou
Modified: 2015-03-04 19:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-10 08:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2010-10-21 04:14:02 EDT
Description of problem:
Did internal snapshot, then load this snapshot, then reboot guest via monitor system_reset, keyboard lost after guest boot ok, guest can not login.

Version-Release number of selected component (if applicable):
kvm-83-205.el5
kernel-2.6.18-227.el5

How reproducible:
2/2

Steps to Reproduce:
1.launch RHEL5.6 guest with xwindow
/usr/libexec/qemu-kvm -M rhel5.6.0 -m 2048 -smp 2 -name test-qcow2 -uuid 39a565d2-2032-848d-bda0-de7adb149048 -monitor stdio -boot c -drive file=/var/lib/libvirt/images/test.qcow2,if=ide,bus=0,unit=0,boot=on,format=qcow2,werror=stop,cache=writeback -net nic,macaddr=54:52:00:27:cd:13,vlan=0,model=virtio -net tap,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc :1 -k en-us -vga cirrus -balloon virtio
2.save internal snapshot
#(qemu)savevm sn1
3.load this snapshot
#(qemu)loadvm sn1
4.do system_reset

Actual results:
after step 4, guest boot ok, keyboard lost, can not login. mouse work well.

Expected results:
after step 4, guest boot ok, keyboard and mouse work ok.

Additional info:
Comment 1 Shirley Zhou 2011-01-27 01:00:36 EST
This bug can also be reproduced on latest kvm version: kvm-83-224.el5, add qa-ack.
Comment 2 Markus Armbruster 2011-08-09 05:53:46 EDT
Can this bug still be reproduced?

Does it bite RHEL-6 as well?
Comment 3 FuXiangChun 2011-08-10 05:33:18 EDT
This bug can not be reproduced on qemu-kvm-0.12.1.2-2.177.el6.x86_64 and kvm-83-205.el5

host info:
 # uname -r
 2.6.32-178.el6.x86_64(intel platform)
 # rpm -qa|grep kvm
 qemu-kvm-0.12.1.2-2.177.el6.x86_64

guest info:
 rhel5.6(x86_64)

tested steps on qemu-kvm-0.12.1.2-2.177.el6.x86_64:
 1./usr/libexec/qemu-kvm  -m 4G -smp 4  -uuid 7c73a852-c316-4d61-b913-9dde17367a30  -drive file=rhel56.qcow2,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-blk-pci0  -boot c -monitor stdio -spice disable-ticketing,port=5912 -vga qxl
2.(qemu) savevm sn1
3.(qemu) loadvm sn1
4.(qemu) system_reset
 
  actual result: 
     keyboard and mouse work well

 


host info:

# uname -r
2.6.18-227.el5(AMD platform)
# rpm -qa|grep kvm
kvm-83-205.el5

guest info:
  rhel5.6(x86_64)

tested steps on kvm-83-205.el5

1.# /usr/libexec/qemu-kvm -M rhel5.6.0 -m 4G -smp 4 -name test-qcow2 -uuid 39a565d2-2032-848d-bda0-de7adb149048 -monitor stdio -boot c -drive file=rhel56.qcow2,if=ide,bus=0,unit=0,boot=on,format=qcow2,werror=stop,cache=writeback -net nic,macaddr=54:52:00:27:cd:13,vlan=0,model=virtio -net tap,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc :1 -k en-us -vga cirrus -balloon virtio
char device redirected to /dev/pts/1
QEMU 0.9.1 monitor - type 'help' for more information
2.(qemu) savevm sn1
3.(qemu) loadvm sn1
4.(qemu) system_reset

 actual result: 
     keyboard and mouse work well
Comment 4 FuXiangChun 2011-08-10 05:38:56 EDT
This bug can not be reproduced on qemu-kvm-0.12.1.2-2.177.el6.x86_64 and kvm-83-205.el5

host info:
 # uname -r
 2.6.32-178.el6.x86_64(intel platform)
 # rpm -qa|grep kvm
 qemu-kvm-0.12.1.2-2.177.el6.x86_64

guest info:
 rhel5.6(x86_64)

tested steps on qemu-kvm-0.12.1.2-2.177.el6.x86_64:
 1./usr/libexec/qemu-kvm  -m 4G -smp 4  -uuid 7c73a852-c316-4d61-b913-9dde17367a30  -drive file=rhel56.qcow2,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-blk-pci0  -boot c -monitor stdio -spice disable-ticketing,port=5912 -vga qxl
2.(qemu) savevm sn1
3.(qemu) loadvm sn1
4.(qemu) system_reset
 
  actual result: 
     keyboard and mouse work well

 


host info:

# uname -r
2.6.18-227.el5(AMD platform)
# rpm -qa|grep kvm
kvm-83-205.el5

guest info:
  rhel5.6(x86_64)

tested steps on kvm-83-205.el5

1.# /usr/libexec/qemu-kvm -M rhel5.6.0 -m 4G -smp 4 -name test-qcow2 -uuid 39a565d2-2032-848d-bda0-de7adb149048 -monitor stdio -boot c -drive file=rhel56.qcow2,if=ide,bus=0,unit=0,boot=on,format=qcow2,werror=stop,cache=writeback -net nic,macaddr=54:52:00:27:cd:13,vlan=0,model=virtio -net tap,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc :1 -k en-us -vga cirrus -balloon virtio
char device redirected to /dev/pts/1
QEMU 0.9.1 monitor - type 'help' for more information
2.(qemu) savevm sn1
3.(qemu) loadvm sn1
4.(qemu) system_reset

 actual result: 
     keyboard and mouse work well
Comment 5 Markus Armbruster 2011-08-10 07:25:26 EDT
Thanks.

To sum up, the bug can no longer be reproduced on RHEL-5, but we don't know the exact change that fixed it.  It can't be reproduced on RHEL-6, but we don't know whether it was broken before there.

Note You need to log in before you can comment on or make changes to this bug.